Bug 1475020 - Drop Down List Dialog does not keep default value for Integer type
Drop Down List Dialog does not keep default value for Integer type
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate (Show other bugs)
5.8.0
Unspecified Unspecified
high Severity high
: GA
: 5.7.4
Assigned To: eclarizi
Shveta
automate:dialog
: ZStream
Depends On: 1463827
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-25 17:05 EDT by Satoe Imaishi
Modified: 2017-12-18 15:27 EST (History)
14 users (show)

See Also:
Fixed In Version: 5.7.4.0
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1463827
Environment:
Last Closed: 2017-12-18 15:27:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: CFME Core


Attachments (Terms of Use)

  None (edit)
Comment 2 CFME Bot 2017-07-25 17:16:04 EDT
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/9dcd82a08f8b7d4eb861f53034f9afd3802da338

commit 9dcd82a08f8b7d4eb861f53034f9afd3802da338
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Tue Jun 27 14:21:22 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue Jul 25 17:05:27 2017 -0400

    Merge pull request #15455 from eclarizio/BZ1463827
    
    Fix for Drop Down List Dialog does not keep default value for Integer type
    (cherry picked from commit 65ae59ebd2bb9396f1b5e14f0755350f1b9b2776)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1475020

 app/models/dialog_field_sorted_item.rb          |  2 +-
 spec/models/dialog_field_drop_down_list_spec.rb |  4 +--
 spec/models/dialog_field_sorted_item_spec.rb    | 36 +++++++++++++++++++++++--
 3 files changed, 37 insertions(+), 5 deletions(-)
Comment 3 CFME Bot 2017-07-25 17:40:59 EDT
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/9218869ec5975f1393116e3cc11a95643b593d7d

commit 9218869ec5975f1393116e3cc11a95643b593d7d
Author:     Martin Hradil <himdel@seznam.cz>
AuthorDate: Wed Jul 19 12:20:14 2017 +0200
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue Jul 25 17:38:06 2017 -0400

    Merge pull request #1700 from eclarizio/BZ1463827
    
    Fix for Drop Down List Dialog does not keep default value for Integer type
    (cherry picked from commit 0116bb94f078a6d7ec71b7fae93b796644536d65)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1475020

 app/controllers/miq_ae_customization_controller/dialogs.rb | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)
Comment 4 Shveta 2017-09-15 14:59:44 EDT
Default value is stored in drop down lists .
Verified in 5.7.4.0.20170913182424_63a1e18
Comment 7 errata-xmlrpc 2017-12-18 15:27:26 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3484

Note You need to log in before you can comment on or make changes to this bug.